<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/tags_recycler_view"
        android:layout_width="match_parent"
        android:layout_height="@dimen/default_filter_row_height"
        android:background="@color/background_white"
        android:clipToPadding="false"
        android:paddingLeft="@dimen/default_filter_row_padding"
        android:paddingRight="@dimen/default_filter_row_padding" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <FrameLayout
            android:id="@+id/list_skeleton"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/config_container" />

        <com.gh.common.view.ConfigFilterView
            android:id="@+id/config_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:visibility="gone" />

        <View
            android:id="@+id/divider"
            android:layout_below="@id/config_container"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/background" />

        <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
            android:id="@+id/list_refresh"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/divider">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        <include
            layout="@layout/reuse_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />

        <include
            layout="@layout/reuse_no_connection"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/config_container" />

        <include
            layout="@layout/reuse_none_data"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/config_container" />

        <include
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            layout="@layout/reuse_data_exception"
            android:layout_below="@id/config_container" />

    </RelativeLayout>

</LinearLayout>